Skip to main content
GET
/
v2
/
kalshi
/
orderbooks
Get Kalshi Orderbooks
curl --request GET \
  --url https://api.predexon.com/v2/kalshi/orderbooks \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.predexon.com/v2/kalshi/orderbooks"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.predexon.com/v2/kalshi/orderbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "snapshots": [
    {
      "ticker": "<string>",
      "timestamp": 123,
      "yes_bids": [
        {
          "price": 123,
          "size": 123
        }
      ],
      "yes_asks": [
        {
          "price": 123,
          "size": 123
        }
      ],
      "best_bid": 123,
      "best_ask": 123,
      "bid_depth": 123,
      "ask_depth": 123,
      "sequence": 123
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "has_more": true,
    "pagination_key": "<string>"
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"error": "<string>",
"message": "<string>"
}
Fetch historical orderbook snapshots for a Kalshi market. Data starts from January 7th, 2026.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
ConstraintValue
limit1–200 (default 100)
Timestamps are in milliseconds. Prices are in cents (1–99).

Authorizations

x-api-key
string
header
required

Query Parameters

ticker
string
required

The Kalshi market ticker

start_time
integer
required

Start time in Unix timestamp (milliseconds)

end_time
integer
required

End time in Unix timestamp (milliseconds)

limit
integer
default:100

Maximum number of snapshots to return

Required range: 1 <= x <= 200
pagination_key
string | null

Pagination key to get the next chunk of data

Response

Successful Response

Kalshi orderbooks endpoint response.

snapshots
KalshiOrderbookSnapshot · object[]
required
pagination
CursorPagination · object
required

Cursor-based pagination for endpoints that don't support offset.